"""
URL configuration for polisplexity project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.views.static import serve as static_serve

admin.site.site_header = "Polisplexity City Technologies"
admin.site.site_title = "Polisplexity Admin Portal"
admin.site.index_title = "Welcome to Polisplexity City Technologies Portal"

urlpatterns = [
    path("admin/", admin.site.urls),
    path("accounts/", include("allauth.urls")),  # ← Add this line
    path('', include('pxy_dashboard.urls')),
    path('core', include('core.urls')),
    path('', include('pxy_city_digital_twins.urls')),
    path('pxy_whatsapp/', include('pxy_whatsapp.urls')),
    path('bots/', include('pxy_bots.urls')),
    path('pxy_meta_pages/', include('pxy_meta_pages.urls', namespace='pxy_meta_pages')),
    path(
        "building/",
        include(("pxy_building_digital_twins.urls", "pxy_building_digital_twins"),
                namespace="pxy_building_digital_twins"),
    ),
    path("messenger/", include("pxy_messenger.urls")),
    path("", include("pxy_sami.api.urls")),
    path("", include("pxy_routing.api.urls")),
    path("", include("pxy_sites.api.urls")),
    path("", include("pxy_de.urls")),

    path("share/", include("pxy_dashboard.share_urls")),  # ← NEW

    path("api/", include("pxy_bots.api.urls")),
    path("api/langchain/", include("pxy_langchain.api.urls")),
    path("api/", include("pxy_stewards.api.urls")),

    path("", include("pxy_openai.urls")),

    path("", include("pxy_contracts.urls")),

    path('', include('pxy_agents_coral.urls')),
    path("", include("pxy_simulations.urls")),

    



]


if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

if settings.DEBUG or settings.SERVE_MEDIA:
    urlpatterns += [
        re_path(r"^media/(?P<path>.*)$", static_serve, {"document_root": settings.MEDIA_ROOT}),
    ]
